### Method

# Vte Terminal get_text_include_trailing_spaces

deprecated: 0.56

#### Declaration [src]

    char*
    vte_terminal_get_text_include_trailing_spaces (
      VteTerminal* terminal,
      VteSelectionFunc is_selected,
      gpointer user_data,
      GArray* attributes
    )

#### Description [src]

Extracts a view of the visible part of the terminal.

This method is unaware of BiDi. The columns returned in `attributes` are logical columns.

Note: since 0.68, passing a non-`NULL` `array` parameter is deprecated. Starting with 0.72, passing a non-`NULL` `array` parameter will make this function itself return `NULL`. Since 0.72, passing a non-`NULL` `is_selected` parameter will make this function itself return `NULL`.

Deprecated since: 0.56

Use `vte_terminal_get_text_format()` instead.

#### Parameters

`is_selected`

  Type: `VteSelectionFunc`

  A `VteSelectionFunc` callback. Deprecated: 0.44: Always pass `NULL` here.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data to be passed to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`attributes`

  Type: An array of `None`

  Location for storing text attributes. Deprecated: 0.68: Always pass `NULL` here.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `char*`

A newly allocated text string, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.